"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const rimraf = require("rimraf");
const core_1 = require("@salesforce/core");
// Initialize Messages with the current plugin directory
command_1.core.Messages.importMessagesDirectory(__dirname);
// Load the specific messages for this file. Messages from @salesforce/command, @salesforce/core,
// or any library that is using the messages framework can also be loaded this way.
const messages = command_1.core.Messages.loadMessages('sfpowerkit', 'source_profile_generate');
class Generate extends command_1.SfdxCommand {
    async run() {
        rimraf.sync('temp_sfpowerkit');
        const project = await core_1.SfdxProject.resolve();
        const projectJson = await project.retrieveSfdxProjectJson();
        let packageToBeScanned = this.flags.package;
        this.ux.log("package:" + packageToBeScanned);
        const packageDirectories = projectJson.get('packageDirectories') || [];
        return {};
    }
}
Generate.description = messages.getMessage('commandDescription');
Generate.examples = [
    `$ sfdx sfpowerkit:source:profile:generate -x package.xml
  Generated Admin Profile succesfully
  `
];
Generate.flagsConfig = {
    name: command_1.flags.filepath({ required: true, char: 'x', description: messages.getMessage('manifestFlagDescription') })
};
Generate.requiresProject = true;
exports.default = Generate;
//# sourceMappingURL=generate.js.map